package com.sw.mes.yb.accessory.dao;


import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.accessory.entity.AccessoryReturn;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface AccessoryReturnDao extends BaseDao<AccessoryReturn, Integer> {

    List<AccessoryReturn> findByGoodsCodeAndState(String goodsCode, String key);

    List<AccessoryReturn> findByOrderNum(String orderNum);

    List<AccessoryReturn> findByEquipmentAccessory_IdOrderByApplyDateDesc(Long accessoryId);

    List<AccessoryReturn> findByGoodsCodeOrderByIdDesc(String goodsCode);
}
